> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Delete Order Level Fees from Checkout

DELETE https://api.bigcommerce.com/stores/{store_hash}/v3/checkouts/{checkoutId}/fees
Content-Type: application/json

Delete fees from a checkout.

> #### Note 
> * The `Try It` feature is not currently supported for this endpoint.  


Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/checkouts/fees/checkouts-fees-by-checkout-id-delete

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Checkouts | modify | `store_checkouts` | | Checkouts | read-only | `store_checkouts_read_only` | | Checkout Content | modify | `store_checkout_content` | | Checkout Content | read-only | `store_checkout_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `checkoutId` (string, required) — ID of the checkout; the same as the cart ID.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a DeleteFeesRequest.

- `ids` (list of string, required) — The IDs of the fees to be deleted from a checkout.

## Response

### 200

OK

- `data` (Checkout, optional)
- `meta` (MetaOpen, optional) — Response metadata.

## Types

### Checkout

- `id` (string, optional)
- `cart` (CheckoutCart, optional)
- `billing_address` (CheckoutBillingAddress, optional)
- `consignments` (list of CheckoutConsignmentsItems, optional)
- `taxes` (list of CheckoutTaxesItems, optional)
- `coupons` (list of AppliedCoupon, optional) — Coupons applied at checkout level.
- `fees` (list of CheckoutFee, optional) — Fees applied at the checkout level.
- `order_id` (string, optional, nullable)
- `shipping_cost_total_inc_tax` (double, optional) — Shipping cost before any discounts are applied including tax.
- `shipping_cost_total_ex_tax` (double, optional) — Shipping cost before any discounts are applied excluding tax.
- `handling_cost_total_inc_tax` (double, optional) — Handling cost for all consignments including tax.
- `handling_cost_total_ex_tax` (double, optional) — Handling cost for all consignments excluding tax.
- `tax_total` (double, optional)
- `subtotal_inc_tax` (double, optional) — Subtotal of the checkout before applying item-level discounts including tax.
- `subtotal_ex_tax` (double, optional) — Subtotal of the checkout before applying item-level discounts excluding tax.
- `grand_total` (double, optional) — The total payable amount, before applying any store credit or a gift certificate.
- `created_time` (string, optional) — Time when the cart was created.
- `updated_time` (string, optional) — Time when the cart was last updated.
- `customer_message` (string, optional) — Shopper's message provided as details for the order to be created from this checkout.
- `promotions` (list of CheckoutPromotionsItems, optional)
- `version` (integer, optional) — The current version of the checkout increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.

### MetaOpen

Response metadata.

### CheckoutCart

- `id` (string, optional) — Cart ID, provided after creating a cart with a POST request.
- `customer_id` (integer, optional) — ID of the customer to which the cart belongs.
- `email` (string, optional) — The email address of the cart. This is the same email address that is used in the billing address.
- `currency` (CheckoutCartCurrency, optional)
- `tax_included` (boolean, optional) — Indicates whether product prices are shown inclusive of sales tax.
- `base_amount` (double, optional) — Sum of cart line-item amounts before cart-level discounts, coupons, or taxes are applied.
- `channel_id` (double, optional) — ID of channel
- `discount_amount` (double, optional) — The amount includes order-level automatic promotions plus manual discounts and excludes coupon and product-based discounts.
- `cart_amount_inc_tax` (double, optional) — Sum of cart line-item amounts minus cart-level discounts and coupons including tax.
- `cart_amount_ex_tax` (double, optional) — Sum of cart line-item amounts minus cart-level discounts and coupons excluding tax.
- `coupons` (list of CheckoutCartCouponsItems, optional)
- `discounts` (list of CheckoutCartDiscountsItems, optional)
- `line_items` (CheckoutCartLineItems, optional)
- `created_time` (string, optional) — Time when the cart was created.
- `updated_time` (string, optional) — Time when the cart was last updated.

### CheckoutBillingAddress

- `first_name` (string, optional)
- `last_name` (string, optional)
- `email` (string, optional)
- `company` (string, optional)
- `address1` (string, optional)
- `address2` (string, optional)
- `city` (string, optional)
- `state_or_province` (string, optional) — Represents state or province.
- `state_or_province_code` (string, optional)
- `country_code` (string, optional)
- `postal_code` (string, optional)
- `phone` (string, optional)
- `custom_fields` (list of CheckoutBillingAddressCustomFieldsItems, optional)
- `id` (string, optional)

### CheckoutConsignmentsItems

This allows the use of multiple addresses. When there is only one address, this array will contain only one value, with all the items.

- `id` (string, optional)
- `shippingAddress` (CheckoutConsignmentsItemsShippingAddress, optional)
- `address` (CheckoutConsignmentsItemsAddress, optional)
- `available_shipping_options` (list of CheckoutConsignmentsItemsAvailableShippingOptionsItems, optional) — This is available only when "include=consignments.available_shipping_options" is presented in the URL.
- `selected_shipping_option` (CheckoutConsignmentsItemsSelectedShippingOption, optional)
- `coupon_discounts` (list of CheckoutConsignmentsItemsCouponDiscountsItems, optional) — List of consignment discounts applied through coupons.
- `discounts` (list of CheckoutConsignmentsItemsDiscountsItems, optional) — List of consignment discounts applied through cart-level discounts.
- `shipping_cost_inc_tax` (double, optional) — The shipping cost for this consignment including tax.
- `shipping_cost_ex_tax` (double, optional) — The shipping cost for this consignment excluding tax.
- `handling_cost_inc_tax` (double, optional) — The handling cost of shipping for this consignment including tax.
- `handling_cost_ex_tax` (double, optional) — The handling cost of shipping for this consignment excluding tax.
- `line_item_ids` (list of string, optional) — Array lists only one line item. To display multiple `line_item_ids`, perform a `POST` request to add consignments to the checkout using the same address.
- `selected_pickup_option` (PickupOption, optional)

### CheckoutTaxesItems

- `name` (string, optional) — Name of the tax.
- `amount` (double, optional)

### AppliedCoupon

- `code` (string, required) — The coupon code.
- `id` (integer, optional) — The coupon ID.
- `coupon_type` (string, optional) — Key name to identify the type of coupon.
- `display_name` (string, optional) — The display name of the coupon.
- `discounted_amount` (float, optional) — The discounted amount applied within a given context.

### CheckoutFee

- `id` (string, optional) — The fee ID.
- `type` (enum, optional) — The type of the fee.
  - Allowed values: `custom_fee`
- `name` (string, optional) — Name of the fee.
- `display_name` (string, optional) — Display name of the fee targeting customers/shoppers.
- `cost_inc_tax` (double, optional) — Cost of the fee including tax.
- `cost_ex_tax` (double, optional) — Cost of the fee excluding tax.
- `source` (string, optional) — The source of the request.
- `tax_class_id` (integer, optional, nullable) — The tax class ID.

### CheckoutPromotionsItems

- `banners` (list of CheckoutPromotionsItemsBannersItems, optional)

### CheckoutCartCurrency

- `code` (string, optional) — ISO-4217 currency code. (See: https://www.iso.org/iso-4217-currency-codes.html.)

### CheckoutCartCouponsItems

- `code` (string, required) — The coupon code.
- `id` (integer, optional) — The coupon ID.
- `coupon_type` (string, optional) — Key name to identify the type of coupon.
- `discounted_amount` (float, optional) — The discounted amount applied within a given context.
- `display_name` (string, optional) — The display name of the coupon.

### CheckoutCartDiscountsItems

- `id` (string, optional) — ID of the applied discount.
- `discounted_amount` (double, optional) — The discounted amount applied within a given context.

### CheckoutCartLineItems

- `physical_items` (list of CheckoutCartLineItemsPhysicalItemsItems, required)
- `digital_items` (list of CheckoutCartLineItemsDigitalItemsItems, required)
- `gift_certificates` (list of CheckoutCartLineItemsGiftCertificatesItems, required)
- `custom_items` (list of CheckoutCartLineItemsCustomItemsItems, optional)

### CheckoutBillingAddressCustomFieldsItems

- `field_id` (string, optional)
- `field_value` (string, optional) — This can also be an array for fields that need to support a list of values (e.g., a set of check boxes.)

### CheckoutConsignmentsItemsShippingAddress

### CheckoutConsignmentsItemsAddress

- `email` (string, required)
- `country_code` (string, required)
- `first_name` (string, optional)
- `last_name` (string, optional)
- `company` (string, optional)
- `address1` (string, optional)
- `address2` (string, optional)
- `city` (string, optional)
- `state_or_province` (string, optional) — Represents state or province.
- `state_or_province_code` (string, optional)
- `postal_code` (string, optional)
- `phone` (string, optional)
- `custom_fields` (list of CheckoutConsignmentsItemsAddressCustomFieldsItems, optional)
- `id` (string, optional)

### CheckoutConsignmentsItemsAvailableShippingOptionsItems

- `description` (string, optional)
- `id` (string, optional)
- `type` (string, optional) — Specifies the type of shipping option, such as flat rate, UPS, etc.
- `image_url` (string, optional)
- `cost` (double, optional)
- `transit_time` (string, optional) — An estimate of the arrival time.
- `additional_description` (string, optional) — Read-only field that is used for the Shipping Provider API.

### CheckoutConsignmentsItemsSelectedShippingOption

- `description` (string, optional)
- `id` (string, optional)
- `type` (string, optional) — Specifies the type of shipping option, such as flat rate, UPS, etc.
- `image_url` (string, optional)
- `cost` (double, optional)
- `transit_time` (string, optional) — An estimate of the arrival time.
- `additional_description` (string, optional) — Read-only field that is used for the Shipping Provider API.

### CheckoutConsignmentsItemsCouponDiscountsItems

- `code` (string, optional) — Coupon code through which this discount was applied.
- `amount` (double, optional)

### CheckoutConsignmentsItemsDiscountsItems

- `id` (integer, optional) — Discount rule ID that applied this discount.

### PickupOption

- `pickup_method_id` (integer, optional)

### CheckoutPromotionsItemsBannersItems

- `id` (string, optional) — ID of the promotion.
- `type` (string, optional) — Type of the banner.
- `page` (list of string, optional) — An array of the locations where the banner will display.
- `text` (string, optional) — Text of the banner.

### CheckoutCartLineItemsPhysicalItemsItems

- `quantity` (double, required)
- `id` (string, optional) — The line-item ID.
- `variant_id` (double, optional)
- `product_id` (double, optional)
- `sku` (string, optional)
- `name` (string, optional) — The product name of the item.
- `url` (string, optional) — The product URL.
- `is_taxable` (boolean, optional)
- `image_url` (string, optional)
- `discounts` (list of CheckoutCartLineItemsPhysicalItemsItemsDiscountsItems, optional)
- `discount_amount` (double, optional) — The total value of all discounts applied to this item.
- `coupon_amount` (double, optional) — The total value of all coupons applied to this item.
- `original_price` (double, optional) — An item’s original price is the same as the default price of the product configured in the admin panel.
- `list_price` (double, optional) — The net item price before discounts and coupons are applied. BigCommerce derives an item’s list price from the product default price or, if applicable, the sale price configured in the admin panel.
- `sale_price` (double, optional) — Price of the item after all discounts are applied. (The final price before tax calculation.)
- `extended_list_price` (double, optional) — List price of the item multiplied by the quantity.
- `extended_sale_price` (double, optional) — Sale price of the item multiplied by the quantity.
- `comparison_price` (double, optional) — The price of a single product used for strike-through.
- `extended_comparison_price` (double, optional) — The price of a line item (product * quantity) used for strike-through.
- `is_require_shipping` (boolean, optional)
- `is_mutable` (boolean, optional)
- `added_by_promotion` (boolean, optional) — Whether or not a promotion added an additional item.
- `parent_id` (double, optional, nullable)
- `gift_wrapping` (CheckoutCartLineItemsPhysicalItemsItemsGiftWrapping, optional, nullable)
- `stock_position` (CheckoutCartLineItemsPhysicalItemsItemsStockPosition, optional) — Backorder and stock availability details for this line item. Only returned when explicitly requested via `include=cart.line_items.physical_items.stock_position` (or the `digital_items` equivalent) — not included by default.

### CheckoutCartLineItemsDigitalItemsItems

- `quantity` (double, required)
- `id` (string, optional) — The line-item ID.
- `variant_id` (double, optional)
- `parent_id` (double, optional, nullable)
- `product_id` (double, optional)
- `sku` (string, optional)
- `name` (string, optional) — The product name of the item.
- `url` (string, optional) — The product URL.
- `is_mutable` (boolean, optional)
- `is_require_shipping` (boolean, optional)
- `added_by_promotion` (boolean, optional) — Whether or not a promotion added an additional item.
- `is_taxable` (boolean, optional)
- `image_url` (string, optional)
- `discounts` (list of CheckoutCartLineItemsDigitalItemsItemsDiscountsItems, optional)
- `discount_amount` (double, optional) — The total value of all discounts applied to this item.
- `coupon_amount` (double, optional) — The total value of all coupons applied to this item.
- `original_price` (double, optional) — An item’s original price is the same as the product default price in the admin panel.
- `list_price` (double, optional) — The net item price before discounts and coupons are applied. BigCommerce derives an item’s list price from the product default price or, if applicable, the sale price configured in the admin panel.
- `sale_price` (double, optional) — Price of the item after all discounts are applied. (The final price before tax calculation.)
- `extended_list_price` (double, optional) — List price of the item multiplied by the quantity.
- `extended_sale_price` (double, optional) — Sale price of the item multiplied by the quantity.
- `comparison_price` (double, optional) — The price of a single product used for strike-through.
- `extended_comparison_price` (double, optional) — The price of a line item (product * quantity) used for strike-through.

### CheckoutCartLineItemsGiftCertificatesItems

- `theme` (string, required) — Currently supports `Birthday`, `Boy`, `Celebration`, `Christmas`, `General`, and `Girl`.
- `amount` (double, required) — Value must be between 1.00 and 1,000.00 in the store’s default currency.
- `sender` (CheckoutCartLineItemsGiftCertificatesItemsSender, required)
- `recipient` (CheckoutCartLineItemsGiftCertificatesItemsRecipient, required)
- `id` (string, optional)
- `name` (string, optional) — GiftCertificate-provided name that will appear in the control panel.
- `taxable` (boolean, optional)
- `message` (string, optional) — Limited to 200 characters.

### CheckoutCartLineItemsCustomItemsItems

- `quantity` (double, required)
- `id` (string, optional)
- `extended_list_price` (double, optional)
- `list_price` (double, optional)
- `sku` (string, optional)
- `name` (string, optional)
- `image_url` (string, optional)

### CheckoutConsignmentsItemsAddressCustomFieldsItems

- `field_id` (string, optional)
- `field_value` (string, optional) — This can also be an array for fields that need to support a list of values (e.g., a set of check boxes.)

### CheckoutCartLineItemsPhysicalItemsItemsDiscountsItems

- `id` (CheckoutCartLineItemsPhysicalItemsItemsDiscountsItemsId, optional) — The string value is always equal to "manual-discount" regardless of the input.
- `discounted_amount` (double, optional) — The discounted amount applied within a given context.

### CheckoutCartLineItemsPhysicalItemsItemsGiftWrapping

- `name` (string, optional)
- `message` (string, optional)
- `amount` (double, optional)
- `amount_as_integer` (double, optional)

### CheckoutCartLineItemsPhysicalItemsItemsStockPosition

Backorder and stock availability details for this line item. Only returned when explicitly requested via `include=cart.line_items.physical_items.stock_position` (or the `digital_items` equivalent) — not included by default.

- `quantity_on_hand` (integer, optional) — Number of units currently in stock and available to fulfill this line item without backordering.
- `quantity_backordered` (integer, optional) — Number of units from this line item that are fulfilled via backorder.
- `quantity_out_of_stock` (integer, optional) — Number of units from this line item that are out of stock and unavailable for backorder.
- `backorder_message` (string, optional, nullable) — Backorder messaging shown to the customer for this line item. `null` if no backorder message applies.

### CheckoutCartLineItemsDigitalItemsItemsDiscountsItems

- `id` (string, optional) — ID of the applied discount.
- `discounted_amount` (double, optional) — The discounted amount applied within a given context.

### CheckoutCartLineItemsGiftCertificatesItemsSender

- `name` (string, optional)
- `email` (string, optional)

### CheckoutCartLineItemsGiftCertificatesItemsRecipient

- `name` (string, optional)
- `email` (string, optional)

### CheckoutCartLineItemsPhysicalItemsItemsDiscountsItemsId

The string value is always equal to "manual-discount" regardless of the input.

## Examples

**Request**

```json
{
  "ids": [
    "3c26f3e6-146d-4dce-8159-2a77c0bba409"
  ]
}
```

**Response**

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "cart": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "customer_id": 1,
      "email": "user@example.com",
      "currency": {
        "code": "USD"
      },
      "tax_included": true,
      "base_amount": 5,
      "channel_id": 1.1,
      "discount_amount": 0.5,
      "cart_amount_inc_tax": 4.14,
      "cart_amount_ex_tax": 3.6,
      "coupons": [
        {
          "code": "SHOPNOW",
          "id": 1,
          "coupon_type": "percentage_discount",
          "discounted_amount": 0.9,
          "display_name": "20% Off"
        }
      ],
      "discounts": [
        {
          "id": "5eba1f1e-0ec5-40f7-8058-f7b452c7237d",
          "discounted_amount": 1.4
        }
      ],
      "line_items": {
        "physical_items": [
          {
            "quantity": 1.1,
            "id": "string",
            "variant_id": 1.1,
            "product_id": 1.1,
            "sku": "string",
            "name": "string",
            "url": "string",
            "is_taxable": true,
            "image_url": "string",
            "discounts": [
              {
                "id": "string",
                "discounted_amount": 1.1
              }
            ],
            "discount_amount": 1.1,
            "coupon_amount": 1.1,
            "original_price": 1.1,
            "list_price": 1.1,
            "sale_price": 1.1,
            "extended_list_price": 1.1,
            "extended_sale_price": 1.1,
            "comparison_price": 1.1,
            "extended_comparison_price": 1.1,
            "is_require_shipping": true,
            "is_mutable": true,
            "added_by_promotion": false,
            "parent_id": 1.1,
            "gift_wrapping": {
              "name": "string",
              "message": "string",
              "amount": 1.1,
              "amount_as_integer": 1.1
            },
            "stock_position": {
              "quantity_on_hand": 1,
              "quantity_backordered": 1,
              "quantity_out_of_stock": 1,
              "backorder_message": "string"
            }
          }
        ],
        "digital_items": [
          {
            "quantity": 1.1,
            "id": "string",
            "variant_id": 1.1,
            "parent_id": 1.1,
            "product_id": 1.1,
            "sku": "string",
            "name": "string",
            "url": "string",
            "is_mutable": true,
            "is_require_shipping": true,
            "added_by_promotion": false,
            "is_taxable": true,
            "image_url": "string",
            "discounts": [
              {
                "id": "string",
                "discounted_amount": 1.1
              }
            ],
            "discount_amount": 1.1,
            "coupon_amount": 1.1,
            "original_price": 1.1,
            "list_price": 1.1,
            "sale_price": 1.1,
            "extended_list_price": 1.1,
            "extended_sale_price": 1.1,
            "comparison_price": 1.1,
            "extended_comparison_price": 1.1
          }
        ],
        "gift_certificates": [
          {
            "theme": "string",
            "amount": 1.1,
            "sender": {
              "name": "string",
              "email": "string"
            },
            "recipient": {
              "name": "string",
              "email": "string"
            },
            "id": "string",
            "name": "string",
            "taxable": true,
            "message": "string"
          }
        ],
        "custom_items": [
          {
            "quantity": 1.1,
            "id": "string",
            "extended_list_price": 1.1,
            "list_price": 1.1,
            "sku": "string",
            "name": "string",
            "image_url": "string"
          }
        ]
      },
      "created_time": "string",
      "updated_time": "string"
    },
    "billing_address": {
      "first_name": "string",
      "last_name": "string",
      "email": "string",
      "company": "string",
      "address1": "string",
      "address2": "string",
      "city": "string",
      "state_or_province": "string",
      "state_or_province_code": "string",
      "country_code": "string",
      "postal_code": "string",
      "phone": "string",
      "custom_fields": [
        {
          "field_id": "string",
          "field_value": "string"
        }
      ],
      "id": "string"
    },
    "consignments": [
      {
        "id": "string",
        "shippingAddress": {},
        "address": {
          "email": "string",
          "country_code": "string",
          "first_name": "string",
          "last_name": "string",
          "company": "string",
          "address1": "string",
          "address2": "string",
          "city": "string",
          "state_or_province": "string",
          "state_or_province_code": "string",
          "postal_code": "string",
          "phone": "string",
          "custom_fields": [
            {
              "field_id": "string",
              "field_value": "string"
            }
          ],
          "id": "string"
        },
        "available_shipping_options": [
          {
            "description": "string",
            "id": "string",
            "type": "string",
            "image_url": "string",
            "cost": 1.1,
            "transit_time": "string",
            "additional_description": "string"
          }
        ],
        "selected_shipping_option": {
          "description": "string",
          "id": "string",
          "type": "string",
          "image_url": "string",
          "cost": 1.1,
          "transit_time": "string",
          "additional_description": "string"
        },
        "coupon_discounts": [
          {
            "code": "string",
            "amount": 1.1
          }
        ],
        "discounts": [
          {
            "id": 1
          }
        ],
        "shipping_cost_inc_tax": 1.1,
        "shipping_cost_ex_tax": 1.1,
        "handling_cost_inc_tax": 1.1,
        "handling_cost_ex_tax": 1.1,
        "line_item_ids": [
          "string"
        ],
        "selected_pickup_option": {
          "pickup_method_id": 1
        }
      }
    ],
    "taxes": [
      {
        "name": "string",
        "amount": 1.1
      }
    ],
    "coupons": [
      {
        "code": "SHOPNOW",
        "id": 1,
        "coupon_type": "percentage_discount",
        "display_name": "20% Off",
        "discounted_amount": 0.9
      }
    ],
    "fees": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "type": "custom_fee",
        "name": "AAINS",
        "display_name": "Package Protection Insurance",
        "cost_inc_tax": 10,
        "cost_ex_tax": 9.9,
        "source": "AA",
        "tax_class_id": 1
      }
    ],
    "order_id": "string",
    "shipping_cost_total_inc_tax": 1.1,
    "shipping_cost_total_ex_tax": 1.1,
    "handling_cost_total_inc_tax": 1.1,
    "handling_cost_total_ex_tax": 1.1,
    "tax_total": 1.1,
    "subtotal_inc_tax": 1.1,
    "subtotal_ex_tax": 1.1,
    "grand_total": 1.1,
    "created_time": "string",
    "updated_time": "string",
    "customer_message": "string",
    "promotions": [
      {
        "banners": [
          {
            "id": "string",
            "type": "string",
            "page": [
              "string"
            ],
            "text": "string"
          }
        ]
      }
    ],
    "version": 1
  },
  "meta": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/checkouts/checkoutId/fees"

payload = { "ids": ["3c26f3e6-146d-4dce-8159-2a77c0bba409"] }
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/checkouts/checkoutId/fees';
const options = {
  method: 'DELETE',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"ids":["3c26f3e6-146d-4dce-8159-2a77c0bba409"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/checkouts/checkoutId/fees"

	payload := strings.NewReader("{\n  \"ids\": [\n    \"3c26f3e6-146d-4dce-8159-2a77c0bba409\"\n  ]\n}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/checkouts/checkoutId/fees")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"ids\": [\n    \"3c26f3e6-146d-4dce-8159-2a77c0bba409\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.bigcommerce.com/stores/store_hash/v3/checkouts/checkoutId/fees")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"ids\": [\n    \"3c26f3e6-146d-4dce-8159-2a77c0bba409\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.bigcommerce.com/stores/store_hash/v3/checkouts/checkoutId/fees', [
  'body' => '{
  "ids": [
    "3c26f3e6-146d-4dce-8159-2a77c0bba409"
  ]
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/checkouts/checkoutId/fees");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"ids\": [\n    \"3c26f3e6-146d-4dce-8159-2a77c0bba409\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["ids": ["3c26f3e6-146d-4dce-8159-2a77c0bba409"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/checkouts/checkoutId/fees")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```